Subject: bug#29305: 26.0.90; Wrong electrified indentation with Python multiline string

From: Lele Gaifax <[email-masked]>
Date: Tue, 21 Nov 2017 15:22:06 +0100

Noam Postavsky <[email-masked]> writes:

> Well, there is no big mystery I think.  It's simply that
> `python-indent-context' goes to the beginning of line itself:
>
>     (defun python-indent-context ()
>       ...
>       (save-restriction
>         (prog-widen)
>         (let ((ppss (save-excursion
>                       (beginning-of-line)
>                       (syntax-ppss))))

Doh, you are right, I just skimmed through its docstring :-|

> Actually, I forgot to check for an indent context of :inside-docstring
> though.  I'm not sure if there is valid python code which could trigger
> electric indent next to a docstring, but it's probably more correct to
> do this instead:

Will try your latest in my next Emacs sessions.

> Subject: [PATCH v2] Disable eletric indent for python strings (Bug#29305)

ele*ctric

Thank you again,
ciao, lele.
-- 
nickname: Lele Gaifax | Quando vivrò di quello che ho pensato ieri
real: Emanuele Gaifas | comincerò ad aver paura di chi mi copia.
[email-masked]  |                 -- Fortunato Depero, 1929.